---
title: "List all Customers or Suppliers | Nuvio Docs"
description: "Retrieves all the customers or suppliers that match with provided filters"
url: https://nuvio.io/docs/api/list-business-entities
---

# List all Customers or Suppliers

GET `/v1/business-entities`

Needs an API key with the [`read`](https://nuvio.io/docs/api/authentication#scopes) scope.

## Query parameters

-   `isSupplier` string

    Send this as true if you would like to list suppliers.

-   `isCustomer` string

    Send this as true if you would like to list customers.

## Returns

The matching customers and suppliers.

`401`

No usable `Authorization: Bearer {token}` header (1002).

`403`

The access token is unknown, or lacks the scope this route needs (1001).

GET /v1/business-entities

```
curl https://api.nuvio.io/v1/business-entities \
  -H "Authorization: Bearer $NUVIO_API_TOKEN"
```

Response

```
{
  "success": true,
  "errors": null,
  "data": [
    {
      "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
      "entityCode": "ACME-01",
      "name": "Acme Supplies",
      "legalName": "Acme Supplies",
      "vatNumber": "INV-2026-0042",
      "taxOffice": "string",
      "address": "100 Main Street",
      "city": "Toronto",
      "country": "string",
      "district": "string",
      "state": "string",
      "postalCode": "ACME-01",
      "email": "billing@example.com",
      "phone": "+1 555 0100",
      "iban": "string",
      "isCustomer": true,
      "isSupplier": true
    }
  ]
}
```
